VERSION 5.00
Begin VB.Form Form1 
   BackColor       =   &H00C0C0C0&
   BorderStyle     =   1  'Fixed Single
   Caption         =   "David's Special Effects Example"
   ClientHeight    =   1080
   ClientLeft      =   150
   ClientTop       =   720
   ClientWidth     =   4635
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   1080
   ScaleWidth      =   4635
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton Command4 
      Caption         =   "Back Up Picture Box"
      Height          =   375
      Left            =   2880
      TabIndex        =   4
      Top             =   600
      Width           =   1695
   End
   Begin VB.CommandButton Command3 
      Caption         =   "Exit"
      Height          =   375
      Left            =   2880
      TabIndex        =   3
      Top             =   120
      Width           =   1695
   End
   Begin VB.CommandButton Command2 
      Caption         =   "Move Picture Box"
      Height          =   375
      Left            =   1080
      TabIndex        =   2
      Top             =   600
      Width           =   1455
   End
   Begin VB.CommandButton Command1 
      Caption         =   "New Color"
      Height          =   375
      Left            =   1080
      TabIndex        =   1
      Top             =   120
      Width           =   1455
   End
   Begin VB.PictureBox Picture1 
      AutoSize        =   -1  'True
      DragMode        =   1  'Automatic
      Height          =   540
      Left            =   120
      Picture         =   "move32.frx":0000
      ScaleHeight     =   480
      ScaleWidth      =   480
      TabIndex        =   0
      ToolTipText     =   "Drag Me"
      Top             =   120
      Width           =   540
   End
   Begin VB.Menu mnufile 
      Caption         =   "&File"
      Begin VB.Menu mnuexit 
         Caption         =   "&Exit"
      End
   End
   Begin VB.Menu mnuroll 
      Caption         =   "<-Roll Up->"
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim Y As Integer
Dim DR, DG, DB, RI, GI, BI, RE, GE, BE, StepColor As Integer, InitialColor, FinalColor As Long
Sub CalcSetka()
    If StepColor = 0 Then StepColor = 50
    If InitialColor = 0 Then InitialColor = RGB(0, 0, 255)
    If FinalColor = 0 Then FinalColor = RGB(0, 0, 32)

        RI = InitialColor \ 65536

        GI = (InitialColor - RGB(0, 0, RI)) \ 256

        BI = InitialColor - RGB(0, GI, RI)


        RE = FinalColor \ 65536
        GE = (FinalColor - RGB(0, 0, RE)) \ 256
        BE = FinalColor - RGB(0, GE, RE)

        DR = Fix((RE - RI) / StepColor)
        DG = Fix((GE - GI) / StepColor)
        DB = Fix((BE - BI) / StepColor)

End Sub
Sub DrawForm(Form As Form)
    Dim I, Y0, YM, DY, R, G, b, X0, XM
    Form.DrawStyle = 5
    Form.DrawWidth = 1
    Form.ScaleMode = 3
     Y0 = Form.ScaleTop
     DY = Fix(Form.ScaleHeight / StepColor)
     YM = Y0 + DY
        R = RI
        G = GI
        b = BI
     For I = 1 To StepColor
        If I = StepColor Then YM = Form.ScaleHeight - 1
        Form.Line (Form.ScaleLeft, Y0)-(Form.ScaleLeft + Form.ScaleWidth - 1, YM), RGB(b, G, R), BF
            Y0 = YM - 1
            YM = YM + DY
            R = R + DR
            G = G + DG
            b = b + DB
     Next I
     Form.ForeColor = &HFFFFFF - InitialColor
End Sub
Sub Pause(duratn As Integer)
Let curent = Timer
Do: DoEvents
DoEvents
Loop Until Timer - curent >= duratn
End Sub







   

Private Sub Command1_Click()
'changes the color on the form
Dim I%, J%, K%

'make a random number
Randomize
I% = Int(16 * Rnd)
InitialColor = QBColor(I%)
Do
    J% = Int(16 * Rnd)
Loop Until J% <> I%
    
    FinalColor = QBColor(J%)
    Call CalcSetka
    Call DrawForm(Me)
End Sub

Private Sub Command2_Click()
'move the picturebox 10 pixles to the left
Picture1.Left = Picture1.Left + 10
End Sub

Private Sub Command3_Click()
Form1.Caption = "<sniffle> fine be that way" 'change the caption

'our form runs away!
Counter = Form1.Left
Do: DoEvents
    Counter = Counter + 100
    Form1.Left = Counter
Loop Until Counter >= Screen.Width + Form1.Width
End
End Sub

Private Sub Command4_Click()
'move it ten to the left
Picture1.Left = Picture1.Left - 10
End Sub

Private Sub Form_DragDrop(Source As Control, X As Single, Y As Single)
'lets the user redrop the movable items
Source.Left = X
Source.Top = Y
End Sub

Private Sub Form_Load()
' 1998-99 David Rice
'You are free to use this source code as you wish
'This was downloaded from: http://www.angelfire.com/wy/davidslab/
'If this file was not downloaded from there please e-mail me at: Drice_lol@hotmail.com

'Questions? Comments
'E-Mail Me: Drice_LoL@hotmail.com
'or
'Web Page: http://www.angelfire.com/wy/davidslab/
'
'
'--David

'generate the random colors
Call CalcSetka
End Sub

Private Sub Form_Paint()
DrawForm Me 'paint the form
End Sub

Private Sub mnuexit_Click()
Command3_Click 'clicks on command3
End Sub



Private Sub mnuroll_Click()
'roll up the form
If mnuroll.Caption = "<-Roll Up->" Then
    Form1.Height = 615
    mnuroll.Caption = "<-Roll Down->"
    Exit Sub
'roll it down
Else
    Form1.Height = 1700
    mnuroll.Caption = "<-Roll Up->"
    Exit Sub
End If

End Sub
